# -*- coding: utf-8 -*-
from django.conf import settings
from django.contrib import admin

from pghistory.models import AggregateEvent


class HistoryAdminMixin:
    object_history_template = 'admin/history.html'

    def history_view(self, request, object_id, extra_context=None):
        """
        Adds additional context for the custom history template.
        """
        extra_context = extra_context or {}
        instance = self.model(pk=object_id)
        extra_context['object_history'] = AggregateEvent.objects.target(instance).order_by('-pgh_created_at')
        return super().history_view(request, object_id, extra_context=extra_context)
